Skip to content
Last updated

title: Get OAuth credentials by connection ID (Admin only) keywords:

  • get oauth credentials by connection id (admin only)
  • get
  • oauth
  • credentials
  • connector
  • connection
  • (admin
  • only)

Get OAuth credentials by connection ID (Admin only)

Retrieve OAuth credentials directly using a connection ID. This is useful when you have the connection ID but not the credential ID.

GEThttps://api.aitronos.com/v1/personal-connectors/admin/credentials/by-connection/{connection_id}

Headers

X-Flowplate-Key string optional

Flowplate API key for service authentication.

X-Aitronos-Hub-Key string optional

Aitronos hub API key for service authentication.

X-API-Key string optional

Standard API key for authentication.

Path Parameters

connection_id string required

The connection id parameter.


Returns

connection_id string

External connection ID

status string or null

Connection status (ACTIVE, EXPIRED, INITIATED)

app_name string or null

Connected app (github, googledrive, etc.)

auth_scheme string or null

Auth scheme (OAUTH2, API_KEY, BASIC, etc.)

credentials object

OAuth credentials: access_token, refresh_token, token_type, scope, expires_in

account_email string or null

Connected account email

account_id string or null

Account ID on the external service

entity_id string or null

Entity ID (freddy_user_xxx)

auth_config_id string or null

Auth config ID (ac_xxx)

is_composio_managed boolean or null

Whether using platform-managed credentials

base_url string or null

Base API URL (e.g. https://www.googleapis.com/drive/v3)

test_request_endpoint string or null

URL to test connection validity

callback_url string or null

OAuth callback URL used during authorization

id_token string or null

OpenID Connect ID token (Google, etc.)

code_verifier string or null

PKCE code verifier

extra_headers object

Additional headers for API requests

query_params object

Additional query parameters

extra_data object

Provider-specific extra data

expires_at string or null

Token expiration timestamp

created_at string or null

Connection creation timestamp

updated_at string or null

Connection last update timestamp

status_reason string or null

Reason for current status

is_disabled boolean or null

Whether connection is disabled

is_redacted boolean

Whether credentials are redacted

cURL
curl -X GET "https://api.aitronos.com/v1/personal-connectors/admin/credentials/by-connection/{connection_id}" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "connection_id": "conn_abc123def456",
  "status": "active",
  "app_name": "example_app_name",
  "auth_scheme": "example_auth_scheme",
  "credentials": {},
  "account_email": "example_account_email",
  "account_id": "abc123def456",
  "entity_id": "abc123def456",
  "auth_config_id": "abc123def456",
  "is_composio_managed": true,
  "base_url": "https://example.com/resource",
  "test_request_endpoint": "example_test_request_endpoint",
  "callback_url": "https://example.com/resource",
  "id_token": "eyJhbGciOiJIUzI1NiIs...",
  "code_verifier": "example_code_verifier",
  "extra_headers": {},
  "query_params": {},
  "extra_data": {},
  "expires_at": "2025-11-15T10:30:00Z",
  "created_at": "2025-11-15T10:30:00Z",
  "updated_at": "2025-11-15T10:30:00Z",
  "status_reason": "example_status_reason",
  "is_disabled": true,
  "is_redacted": false
}